# $Revision: 1.131 $, $Date: 2002/09/18 10:46:13 $
#
# Conditional build:
# --without sasl - build without SMTP AUTH support
# --without ssl  - build without SSL/TLS support
# --without ipv6 - build without IPv6 support
# --with polish - build with polish messages support
#
%define	tls_ver 0.8.11a-1.1.11-0.9.6d
Summary:	Postfix Mail Transport Agent
Summary(cs):	Postfix - program pro pepravu poty (MTA)
Summary(es):	Postfix - Un MTA (Mail Transport Agent) de alto desempeo
Summary(fr):	Agent de transport de courrier Postfix
Summary(pl):	Serwer SMTP Postfix
Summary(pt_BR):	Postfix - Um MTA (Mail Transport Agent) de alto desempenho
Summary(sk):	Agent prenosu poty Postfix
Name:		postfix
Version:	1.1.11
Release:	7
Epoch:		2
Group:		Networking/Daemons
License:	distributable
Source0:	ftp://ftp.porcupine.org/mirrors/postfix-release/official/%{name}-%{version}.tar.gz
Source1:	%{name}.aliases
Source2:	%{name}.cron
Source3:	%{name}.init
Source5:	%{name}.sysconfig
Source6:	ftp://ftp.aet.tu-cottbus.de/pub/pfixtls/pfixtls-%{tls_ver}.tar.gz
Source7:	%{name}.sasl
Patch0:		%{name}-config.patch
Patch1:		%{name}-conf_msg.patch
Patch2:		%{name}-ipv6.patch
Patch3:		%{name}-dynamicmaps.patch
Patch4:		%{name}-pgsql.patch
Patch5:		%{name}-master.cf_cyrus.patch
Patch6:		%{name}-pl.patch
URL:		http://www.postfix.org/
BuildRequires:	awk
%{!?_without_sasl:BuildRequires:	cyrus-sasl-devel}
BuildRequires:	db3-devel
BuildRequires:	grep
%{!?_without_ipv6:BuildRequires:	libinet6 >= 0.20010420-3}
BuildRequires:	mysql-devel
BuildRequires:	openldap-devel >= 2.0.0
%{!?_without_ssl:BuildRequires:	openssl-devel >= 0.9.6a}
BuildRequires:	pcre-devel
BuildRequires:	postgresql-devel
PreReq:		rc-scripts
PreReq:		sed
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(post):	/bin/hostname
Requires(post,postun):/sbin/ldconfig
Requires(post,preun):/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	smtpdaemon
Obsoletes:	smtpdaemon
Obsoletes:	exim
Obsoletes:	masqmail
Obsoletes:	omta
Obsoletes:	qmail
Obsoletes:	sendmail
Obsoletes:	sendmail-cf
Obsoletes:	sendmail-doc
Obsoletes:	smail
Obsoletes:	zmailer
Requires:	diffutils
Requires:	findutils

%description
Postfix is attempt to provide an alternative to the widely-used
Sendmail program. Postfix attempts to be fast, easy to administer, and
hopefully secure, while at the same time being sendmail compatible
enough to not upset your users. This version has IPv6 support.

%description -l pt_BR
O Postfix  uma alternativa para o mundialmente utilizado sendmail. Se
voc deseja um servidor SMTP *rpido*, instale este pacote.

%description -l es
Postfix es una alternativa para el mundialmente utilizado sendmail. Si
desea tener un servidor SMTP *rpido*, debe instalar este paquete.

%description -l fr
Postfix (voir http://www.postfix.org/) se veut une alternative 
sendmail, responsable de l'acheminement de 70% des courriers
lectroniques sur Internet. IBM en a suppotr le dveloppement, mais
ne contrle pas son volution. Le but est d'installer Postfix sur le
plus grand nombre de systmes possible. Dans cette optique, il a t
crit pour tre totalement sous le contrle de l'utilisateur.

%description -l it
Postfix (http://www.postfix.org/) e' un'alternativa al programma
sendmail utilizzato per la gestione del 70 per cento della posta
Internet.

Seppur IBM supporti lo sviluppo di Postfix, non controlla la sua
evoluzione.

Consultate la pagine web http://www.moongroup.com/how-to.phtml nella
quale troverete le indicazioni per una corretta installazione e
configurazione di questo programma.

%description -l pl
Postfix jest prb dostarczenia alternatywnego MTA w stosunku do
szeroko uywanego sendmaila. Postfix w zamierzeniu ma by szybki,
atwy w administrowaniu, bezpieczny oraz ma by na tyle kompatybilny z
sendmailem by nie denerwowa Twoich uytkownikw. Ta wersja wspiera
IPv6.

%description -l pt_BR
O Postfix  uma alternativa para o mundialmente utilizado sendmail. Se
voc deseja um servidor SMTP *rpido*, instale este pacote.

%description -l sk
Postfix (pozri http://www.postfix.org/) m za cie by alternatvou k
iroko rozrenmu programu sendmail, zodpovednmu za 70% vetkej
elektronickej poty doruenej na Internete.

Aj ke IBM podporovala vvoj Postfixu, zdriava sa vplyvu na jeho
vvoj. Cieom je intalcia Postfixu na o najvom pote systmov.
Do tohoto momentu je softvr poskytovan bez ovplyvovania, take sa
me vyvja poda jeho pouvateov.

Urite si pretajte http://www.moongroup.com/how-to.phtml, kde s
popsan kroky potrebn pred a po intalcii Postfixu.

%package devel
Summary:	Postfix loadable modules development package
Summary(pl):	Pakiet dla programistw adowanych moduw do postfiksa
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files to build additional map types for Postfix.

%description devel -l pl
Pliki nagwkowe do tworzenia dodatkowych typw map dla Postfiksa.

%package dict-ldap
Summary:	LDAP map support for Postfix
Summary(pl):	Obsuga map LDAP dla Postfiksa
Group:		Networking/Daemons
Requires:	%{name} = %{version}
Requires:	openldap >= 2.0.0

%description dict-ldap
This package provides support for LDAP maps in Postfix.

%description dict-ldap -l pl
Ten pakiet dodaje obsug map LDAP do Postfiksa.

%package dict-mysql
Summary:	MySQL map support for Postfix
Summary(pl):	Obsuga map MySQL dla Postfiksa
Group:		Networking/Daemons
Requires:	%{name} = %{version}

%description dict-mysql
This package provides support for MySQL maps in Postfix.

%description dict-mysql -l pl
Ten pakiet dodaje obsug map MySQL do Postfiksa.

%package dict-pcre
Summary:	PCRE map support for Postfix
Summary(pl):	Obsuga map PCRE dla Postfiksa
Group:		Networking/Daemons
Requires:	%{name} = %{version}

%description dict-pcre
This package provides support for PCRE maps in Postfix.

%description dict-pcre -l pl
Ten pakiet dodaje obsug map PCRE do Postfiksa.

%package dict-pgsql
Summary:	PostgreSQL map support for Postfix
Summary(pl):	Obsuga map PostgreSQL dla Postfiksa
Group:		Networking/Daemons
Requires:	%{name} = %{version}

%description dict-pgsql
This package provides support for PostgreSQL maps in Postfix.

%description dict-pgsql -l pl
Ten pakiet dodaje obsug map PostgreSQL do Postfiksa.

%prep
%setup -q -a6
%patch0 -p1
patch -p1 -s <pfixtls-%{tls_ver}/pfixtls.diff
%patch1 -p1
%patch2 -p1
%{!?_without_ipv6:%patch3 -p1}
%patch4 -p1
%patch5 -p1
%{?_with_polish:%patch6 -p1}

%build
%{__make} -f Makefile.init makefiles
%{__make} tidy
%{__make} DEBUG="" OPT="%{rpmcflags}" \
	CCARGS="-DHAS_LDAP -DHAS_PCRE %{!?_without_sasl:-DUSE_SASL_AUTH} -DHAS_MYSQL -DHAS_PGSQL -I%{_includedir}/mysql -I%{_includedir}/postgresql %{!?_without_ssl:-DHAS_SSL -I%{_includedir}/openssl} -DMAX_DYNAMIC_MAPS" \
	AUXLIBS="-ldb -lresolv %{!?_without_sasl:-lsasl} %{!?_without_ssl:-lssl -lcrypto}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{mail,cron.daily,rc.d/init.d,sasl,sysconfig} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_libdir}/postfix,%{_includedir}/postfix,%{_mandir}/man{1,5,8}} \
	$RPM_BUILD_ROOT%{_var}/spool/postfix/{active,corrupt,deferred,maildrop,private,saved,bounce,defer,incoming,pid,public} \
	pfixtls

rm -f {html,man}/Makefile.in conf/{LICENSE,main.cf.default}

install -d sample-conf; mv -f conf/sample* sample-conf/ || :

install bin/* $RPM_BUILD_ROOT%{_sbindir}
install libexec/* $RPM_BUILD_ROOT%{_libdir}/postfix
install conf/* $RPM_BUILD_ROOT%{_sysconfdir}/mail

for f in dns global master util ; do
	install lib/lib${f}.a $RPM_BUILD_ROOT%{_libdir}/libpostfix-${f}.so.1
	ln -sf lib${f}.so.1 $RPM_BUILD_ROOT%{_libdir}/libpostfix-${f}.so
done
install lib/dict*.so $RPM_BUILD_ROOT%{_libdir}/postfix
install include/*.h $RPM_BUILD_ROOT%{_includedir}/postfix

(cd man; tar cf - .) | (cd $RPM_BUILD_ROOT%{_mandir}; tar xf -)

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/mail/aliases
install %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/postfix
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/postfix
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/postfix
install %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/sasl/smtpd.conf
install auxiliary/rmail/rmail $RPM_BUILD_ROOT%{_bindir}/rmail

ln -sf ../sbin/sendmail $RPM_BUILD_ROOT%{_bindir}/mailq
ln -sf ../sbin/sendmail $RPM_BUILD_ROOT%{_bindir}/newaliases
ln -sf ../sbin/sendmail $RPM_BUILD_ROOT%{_libdir}/sendmail

touch $RPM_BUILD_ROOT%{_sysconfdir}/mail/\
	{aliases,access,canonical,relocated,transport,virtual}{,.db}

> $RPM_BUILD_ROOT/var/spool/postfix/.nofinger

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`/usr/bin/getgid postfix`" ]; then
	if [ "`getgid postfix`" != "62" ]; then
		echo "Error: group postfix doesn't have gid=62. Correct this before installing postfix." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 62 -r -f postfix
fi
if [ -n "`/usr/bin/getgid maildrop`" ]; then
	if [ "`/usr/bin/getgid maildrop`" != "63" ]; then
		echo "Error: group maildrop doesn't have gid=63. Correct this before installing postfix." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 63 -r -f maildrop
fi
if [ -n "`/bin/id -u postfix 2>/dev/null`" ]; then
	if [ "`/bin/id -u postfix`" != "62" ]; then
		echo "Error: user postfix doesn't have uid=62. Correct this before installing postfix." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 62 -r -d /var/spool/postfix -s /bin/false -c "Postfix User" -g postfix postfix 1>&2
fi

%post
/sbin/ldconfig
if ! grep -q "^postmaster:" /etc/mail/aliases; then
	echo "Adding Entry for postmaster in /etc/mail/aliases" >&2
	echo "postmaster:	root" >>/etc/mail/aliases
fi
if ! grep -q "^myhostname" /etc/mail/main.cf; then
	postconf -e myhostname=`/bin/hostname -f`
fi

newaliases
/sbin/chkconfig --add postfix
if [ -f /var/lock/subsys/postfix ]; then
	/etc/rc.d/init.d/postfix restart >&2
else
	echo "Run \"/etc/rc.d/init.d/postfix start\" to start postfix daemon." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/postfix ]; then
		/etc/rc.d/init.d/postfix stop >&2
	fi
	/sbin/chkconfig --del postfix
fi

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	/usr/sbin/groupdel maildrop 2> /dev/null
	/usr/sbin/userdel postfix 2> /dev/null
	/usr/sbin/groupdel postfix 2> /dev/null
fi

%triggerpostun -- postfix < 1:1.1.2
sed -e 's/^\(pickup[ 	]\+fifo[ 	]\+[^ 	]\+[ 	]\+\)[^ 	]\+\([ 	]\)/\1-\2/;
s/^\(cleanup[ 	]\+unix[ 	]\+\)[^ 	]\+\([ 	]\)/\1n\2/' /etc/mail/master.cf \
	> /etc/mail/master.cf.rpmtmp
mv -f /etc/mail/master.cf.rpmtmp /etc/mail/master.cf

%files
%defattr(644,root,root,755)
%doc html *README COMPATIBILITY HISTORY LICENSE RELEASE_NOTES
%doc README_FILES/*README
%doc sample-conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/access
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/aliases
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/canonical
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/relocated
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/transport
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/virtual
#%ghost %{_sysconfdir}/mail/*.db
%dir %{_sysconfdir}/mail
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/dynamicmaps.cf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/main.cf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/master.cf
%attr(755,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/postfix-script
%attr(755,root,root) %{_sysconfdir}/mail/post-install
%{_sysconfdir}/mail/postfix-files
%attr(740,root,root) /etc/cron.daily/postfix
%attr(754,root,root) /etc/rc.d/init.d/postfix
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/postfix
%{!?_without_sasl:%config(noreplace) %verify(not size mtime md5) /etc/sasl/smtpd.conf}
%attr(755,root,root) %{_libdir}/libpostfix-*.so.*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/s*
%attr(755,root,root) %{_sbindir}/postfix
%attr(755,root,root) %{_sbindir}/postalias
%attr(755,root,root) %{_sbindir}/postkick
%attr(755,root,root) %{_sbindir}/postl*
%attr(755,root,root) %{_sbindir}/postc*
%attr(755,root,root) %{_sbindir}/postmap
%attr(2755,root,maildrop) %{_sbindir}/postqueue
%attr(755,root,root) %{_sbindir}/postsuper
%attr(2755,root,maildrop) %{_sbindir}/postdrop
%attr(755,root,root) %{_sbindir}/qmqp-source
%attr(755,root,root) %{_libdir}/sendmail
%dir %{_libdir}/postfix
%attr(755,root,root) %{_libdir}/postfix/[^d]*
%attr(755,root,root) %dir %{_var}/spool/postfix
%attr(700, postfix,root) %dir %{_var}/spool/postfix/active
%attr(700, postfix,root) %dir %{_var}/spool/postfix/bounce
%attr(700, postfix,root) %dir %{_var}/spool/postfix/corrupt
%attr(700, postfix,root) %dir %{_var}/spool/postfix/defer
%attr(700, postfix,root) %dir %{_var}/spool/postfix/deferred
%attr(700, postfix,root) %dir %{_var}/spool/postfix/incoming
%attr(1730,postfix,maildrop) %dir %{_var}/spool/postfix/maildrop
%attr(755, postfix,root) %dir %{_var}/spool/postfix/pid
%attr(700, postfix,root) %dir %{_var}/spool/postfix/private
%attr(710, postfix,maildrop) %dir %{_var}/spool/postfix/public
%attr(700, postfix,root) %dir %{_var}/spool/postfix/saved
%attr(644, postfix,root) %{_var}/spool/postfix/.nofinger
%{_mandir}/man*/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpostfix-*.so
%{_includedir}/postfix

%files dict-ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_ldap.so

%files dict-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_mysql.so

%files dict-pcre
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_pcre.so

%files dict-pgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_pgsql.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: postfix.spec,v $
Revision 1.131  2002/09/18 10:46:13  orzech
- small fix

Revision 1.130  2002/09/18 10:28:54  orzech
- works w/ and w/o pl.patch
- rel 7, STBR

Revision 1.129  2002/09/18 10:21:51  orzech
- pl.patch in bcond

Revision 1.128  2002/08/18 10:30:17  kloczek
- release 6: merge master.cf_cyrus patch from Conectiva (fix cyrus deliver
  program path in master.cf: must be /usr/lib/cyrus/deliver).

Revision 1.127  2002/08/17 21:03:13  qboosh
- better messages in pre

Revision 1.126  2002/07/24 19:40:29  qboosh
- typo

Revision 1.125  2002/07/24 13:23:20  qboosh
- added fix from Debian to ipv6 patch: now v4 addresses in maps work with
  v6-mapped IPs
- new %%doc, release 2

Revision 1.124  2002/06/08 23:23:12  lukasz
- 1.1.11

Revision 1.123  2002/05/29 08:04:52  orzech
- fixed pl.patch
- rel 2, STBR

Revision 1.122  2002/05/16 15:15:31  kloczek
- merge translations from Conectiva.

Revision 1.121  2002/05/16 11:31:02  orzech
- up to 1.1.10 - builds, looks good - testing
- rel 1

Revision 1.120  2002/05/05 10:23:02  orzech
- updated to 1.1.8 (pfixtls to 0.8.7-1.1.7-0.9.6c)
- builds, works fine
- rel. 1 - STBR to /test

Revision 1.119  2002/04/20 08:02:36  radzio

remove Requires: procmail (now we do not use it in default config)

Revision 1.118  2002/03/14 13:30:07  qboosh
- ugh, -devel not -libs, of course

Revision 1.117  2002/03/14 13:29:30  qboosh
- BuildRequires: postgresql-libs

Revision 1.116  2002/03/14 13:26:59  qboosh
- updated to 1.1.5 (bugfixes - see HISTORY)
- added PostgreSQL maps support (patch from Konrad Rzentarzewski)
- Requires: findutils (for "postfix check")
- release 0.1, STBR-test

Revision 1.115  2002/03/08 10:37:22  aflinta
 - added Requires: diffutils needed by postfix check command
 - release 5

Revision 1.114  2002/03/05 08:37:44  qboosh
- "Requires: openldap >= 2.0.0" moved from base to -dict-ldap subpackage
- release 4, STBR

Revision 1.113  2002/03/02 12:18:24  kloczek
- updated to 1.1.3, release 3, Epoch: 2 (merge DEVEL branch to HEAD),
- remove linking with libnsl (isn't neccessary in this case).

Revision 1.112  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.111  2002/02/18 13:35:46  ankry
- added translations from RH
- adapterized
- release 7

Revision 1.110  2002/02/18 12:50:35  gotar
- (postun) require flag for {group,user}del.

Revision 1.109  2002/02/18 12:00:56  gotar
- changed PreReqs to Requires(pre|post|),
- release 6.

Revision 1.107.2.7  2002/02/21 13:34:25  qboosh
- MFH: Requires(*), translations from RH
- experimental: dynamicmaps patch extracted from Debian - support for loadable maps
- test release 0.5

Revision 1.107.2.6  2002/02/14 09:56:17  qboosh
- updated to 1.1.3 (minor bugfixes and safety checks)

Revision 1.107.2.5  2002/02/13 15:27:03  qboosh
- added trigger to update master.cf from previous versions
- release 0.2 - upgrade with automagic master.cf update must be tested

Revision 1.107.2.4  2002/01/30 11:33:29  qboosh
- config patch: added setgid_group=maildrop - now postfix starts
  in default configuration; time for testing...

Revision 1.107.2.3  2002/01/29 16:07:15  qboosh
- ipv6 patch: fixes in mynetworks detection and relay checking based on
  mynetworks (IMPORTANT for those, who doesn't set mynetworks explicitly):
  - disabled open relay if mynetworks contain something that is not address
  - inet_addr_local: generate netmasks list too (somebody forgot about it!) -
    could cause open relay too (random netmasks)
- NFY, some part of configuration must be updated...

Revision 1.107.2.2  2002/01/28 16:24:09  qboosh
- fixes part 1 (now starts, after adding setgid_group=maildrop to main.cf)

Revision 1.107.2.1  2002/01/28 15:05:08  qboosh
- updated to 1.1.2 release(sic!) (for testing now)
